<template>
  <div id="app">
    <!-- Component for adding a good -->
    <AddGood v-on:add-good="addGood"/>
    <!-- Component for managing goods in table -->
    <Goods v-bind:goods="goods" v-on:del-good="deleteGood" v-on:edit-good="editGood"/>
  </div>
</template>

<script>
import Goods from './components/Goods.vue';
import AddGood from './components/AddGood.vue';
export default {
  name: 'app',
  components: {
    Goods,
    AddGood
  },
  data(){
    return {
      // Array for maintaining the goods in tables
      goods:[{
        id     : '1',
        date   : '123',
        name   : 'wash',
        price  : '123',
        amount : '132',
        sum    : '312'
      }]
    }
  },
  // Methods for adding goods and deletion
  methods : {
    addGood(newGood){
      this.goods = [...this.goods,newGood];
    },
    deleteGood(id){
       this.goods = this.goods.filter(good => good.id !== id);
    },
    editGood(good){
      console.log(good);
    }
  }
}
</script>

<style>
  *{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
  }

  body{
    font-family: Arial, Helvetica, sans-serif;
    line-height: 1.4;
  }
</style>
